/*

    File: ntfs.c

    Copyright (C) 1998-2001  Christophe Grenier <grenier@nef.esiea.fr>
  
    This software is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
  
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
  
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 */

#include <string.h>
#include "types.h"
#include "common.h"
#include "interface.h"
#include "fat.h"
#include "fnctdsk.h"

int analyse_NTFS(t_param_disk_cst disk_car,struct fat_boot_sector*fat_header, t_diskext partition,int debug, int dump_ind)
{
  char*buffer=(char*)fat_header;
  if(fat_header->marker==0xAA55)
  {
    if(debug||dump_ind)
    {
      ecrit_rapport("\nanalyse_NTFS Marker (0xAA55) at %u/%u/%u\n", LBA2cylinder(disk_car,partition->lba),LBA2head(disk_car,partition->lba),LBA2sector(disk_car,partition->lba));
    }
    if(dump_ind)
      dump(buffer,0x200);
    else if(memcmp(buffer+NTFS_NAME,"NTFS",4)==0)
    {
      ecrit_rapport("analyse_NTFS : NTFS found!");
      partition->part_size=NT_sect(buffer)+1;
      partition->part_type=P_NTFS;
      partition->lba=partition->lba-partition->part_size+2;
      return 0;
    }
  }     /* fin marqueur de fin :)) */
  return 1;
}
